%define lib_major 2
%define libname %mklibname %{name} %{lib_major}

Summary:	Thinkpad Utilities
Name:		tpctl
Version:	4.17
Release:	%mkrel 2
URL:		http://tpctl.sourceforge.net/
Group:		System/Kernel and hardware
License:	GPL
ExclusiveArch:	%{ix86}
Source:		http://prdownloads.sourceforge.net/tpctl/%{name}_%{version}.tar.gz
Source1:	apmiser.init.bz2
Source2:	hdparm-contrib-ultrabayd.tar.bz2
Source3:	ultrabayd.init.bz2
Source4:	ultrabay.suspend.bz2
Patch0:		hdparm-5.4-fix_path_bell_idectl.patch
BuildRequires:	ncurses-devel
Requires:	%{libname} = %{version}-%{release}
Prereq:		rpm-helper
# 4.4-2mdk (Abel) idectl and ultrabayd is moved to this package
Requires:	hdparm >= 5.4-3mdk
Conflicts:	hdparm <= 5.4-2mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Utilities specific to IBM Thinkpads

%package -n %{libname}
Summary:	Library associated with tpctl, needed for tpctl utilities
Group:		System/Libraries

%description -n	%{libname}
This library is mandatory for tpctl utilities.
 
%package -n	%{libname}-devel
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 

%description -n	%{libname}-devel
This package contains header files and static library for tpctl
utilities.
 
%prep

%setup -q -a 2
# 4.4-2mdk (Abel) needs Source2
%patch0 -p1 -b .ultrabay
mv contrib/README contrib/idectl-README

# stupid makefile
perl -pi -e "s|-o 0 -g 0||g" Makefile

%build
make CFLAGS="%{optflags}" all

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_sbindir},%{_mandir}/man1}
make install DEST=%{buildroot}

cd %{buildroot}/%{_libdir}/
ln -sf libsmapidev.so.2.0 libsmapidev.so 
cd -
mkdir -p %{buildroot}/%{_initrddir}
bzcat %{SOURCE1} > %{buildroot}/%{_initrddir}/apmiser
chmod 755 %{buildroot}/%{_initrddir}/apmiser

mkdir -p %{buildroot}/%{_includedir}
cp -r include %{buildroot}/%{_includedir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man8
install -m 0644 man/apmiser.8 %{buildroot}/%{_mandir}/man8/

# 4.4-2mdk (Abel) ultrabayd stuff
install -m 0755 contrib/idectl %{buildroot}/%{_sbindir}/idectl
install -m 0755 contrib/ultrabayd %{buildroot}/%{_sbindir}/ultrabayd
bzcat %{SOURCE3} > %{buildroot}%{_initrddir}/ultrabayd
chmod 755 %{buildroot}%{_initrddir}/ultrabayd
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/
bzcat %{SOURCE4} > %{buildroot}%{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/ultrabay
chmod 755 %{buildroot}%{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/ultrabay

%clean
rm -rf %{buildroot}

#post 
#_post_service apmiser
#_post_service ultrabayd

#preun 
#_preun_service apmiser
#_preun_service ultrabayd

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README SUPPORTED-MODELS TROUBLESHOOTING VGA-MODES
%doc contrib/idectl-README
%config(noreplace) %{_sysconfdir}/sysconfig/suspend-scripts/suspend.d/*
%{_initrddir}/*
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog COPYING 
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 4.17-2mdv2007.1
+ Revision: 145249
- Import tpctl



* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 4.17-2mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sun Apr 24 2005 Abel Cheung <deaddog@mandriva.org> 4.17-1mdk
- From Emmanuel Andry <eandry@free.fr>:
  o 4.17
- Src4: (un)register IDE interface when ThinkPad is (un)docked
  after recover
- Fix apmiser initscript to quit if APM is not used
- Don't register apmiser and ultrabayd as service, they are
  probably useless unless APM is used?

* Tue Aug 24 2004 Erwan Vely <erwan@mandrakesoft.com> 4.14-1mdk
- 4.14
- Cleaning spec
- Removing patch0 no more necessary
- Moving patch1 as patch0

* Mon Aug 25 2003 Abel Cheung <deaddog@deaddog.org> 4.4-2mdk
- Source2, Patch1: Move hdparm ThinkPad contrib stuff (ultrabay
  daemon) here.
- Source3: Add ultrabayd initscript
- Install missing apmiser.8 manpage
- mklibname

* Tue Jul 08 2003 Nicolas Planel <nplanel@linux-mandrake.com> 4.4-1mdk
- 4.4.

* Tue Apr 08 2003 Nicolas Planel <nplanel@linux-mandrake.com> 4.3-3mdk
- Fix apmiser script.

* Wed Apr 02 2003 Nicolas Planel <nplanel@linux-mandrake.com> 4.3-2mdk
- Rework package.

* Mon Mar 10 2003 Buchan Milne <bgmilne@linux-mandrake.com> 4.3-1mdk
- New version with errno compile error fix.
- New attempt for apmiser.

* Mon Feb 10 2003 Buchan Milne <bgmilne@linux-mandrake.com> 4.2-1mdk
- Initial Mandrake rpm.
